Skip to main content
`Ctrl`+`K`
scipy.sparse.dok_matrix.

# sum

dok_matrix.sum(axis=None, dtype=None, out=None)

  Sum the array/matrix elements over a given axis.

  Parameters:
    axis{-2, -1, 0, 1, None} optional

      Axis along which the sum is computed. The default is to compute the sum of all the array/matrix elements, returning a scalar (i.e., axis = None).

    dtype dtype, optional

      The type of the returned array/matrix and of the accumulator in which the elements are summed. The dtype of a is used by default unless a has an integer dtype of less precision than the default platform integer. In that case, if a is signed then the platform integer is used while if a is unsigned then an unsigned integer of the same precision as the platform integer is used.

      Added in version 0.18.0.

    out np.matrix, optional

      Alternative output matrix in which to place the result. It must have the same shape as the expected output, but the type of the output values will be cast if necessary.

      Added in version 0.18.0.

  Returns:
    sum_along_axis np.matrix

      A matrix with the same shape as self, with the specified axis removed.

  See also

  `numpy.matrix.sum`

    NumPy’s implementation of ‘sum’ for matrices